Goal: Binding code of conduct for all Wikimedia technical spaces with consequences for breaches
Closed, ResolvedPublic

Subscribers
Tokens
"Pterodactyl" token, awarded by I_JethroBT."Love" token, awarded by Neil_P._Quinn_WMF."Pterodactyl" token, awarded by kaldari."Love" token, awarded by greg."Love" token, awarded by Ocaasi."The World Burns" token, awarded by Ricordisamoa."Like" token, awarded by Qgil."Love" token, awarded by FloNight."Love" token, awarded by Jhernandez."Like" token, awarded by zhaofengli."Like" token, awarded by Mattflaschen-WMF."Love" token, awarded by Rdicerb."Love" token, awarded by KLans_WMF."Pterodactyl" token, awarded by K4-713."Love" token, awarded by yuvipanda."Love" token, awarded by Fhocutt."Love" token, awarded by atgo."Love" token, awarded by Aklapper.
Assigned To
Authored By
Awjrichards, Feb 26 2015

Description

This task started as a #Wikimania-Hackathon-2015 proposal:


It would be awesome to spend some time at Wikimania collaboratively discussing and defining consequences and escalation paths for breaches of code of conduct/phabricator etiquette - so that we can have clearly documented ways of handling issues fairly and equitably. I'm not sure it will make sense to have the end goal of this to be having this stuff full agreed upon and defined, but it could at least be a great starting point for the conversation.

The result of that session was https://etherpad.wikimedia.org/p/Wikimania-2015-Code-of-Conduct (archived at https://www.mediawiki.org/wiki/Code_of_Conduct_drafting_process/Wikimania_2015)


The policy has been approved, and is located at https://www.mediawiki.org/wiki/Code_of_Conduct (the subpages marked as policies are also part of the Code of Conduct).

The Code of Conduct Committee is now being formed. This is tracked at T159923: Bootstrap the Code of Conduct Committee.

Measurement of success

  • Code of Conduct for Wikimedia technical spaces draft completed and submitted to community discussion.
  • Proposal approved with community support.

Dependency

Wikimedia technical community, Support-and-Safety, WMF-Legal

ETA

DevRel-December-2015 (all the better if we are done before)

Dev Summit info

  • Expected outcome at the Summit - People are aware of the CoC progress, what work remains to be done, and that we are asking for their participation. If time permits, perhaps consider lessons for future similar discussions
  • Summit plan - Inform people about the Code of Conduct, or progress on its development. Discuss the process of CoC development and how it it worked/could be improved. Discuss next steps (if applicable), e.g. formation of Committee.
  • Current status of the discussion - Code of Conduct is actively being developed and consensus is developing on the text
  • Background information - https://www.mediawiki.org/wiki/Code_of_conduct_for_technical_spaces/Draft and https://www.mediawiki.org/wiki/Talk:Code_of_conduct_for_technical_spaces/Draft

https://etherpad.wikimedia.org/p/WikiDev16-CodeofConduct (archived at https://www.mediawiki.org/wiki/Code_of_Conduct_drafting_process/Wikimedia_Developer_Summit_2016)

See also

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes

I must've missed it...

I think Code_of_Conduct/Draft#Principles is a good start.

I must've missed it...

I think Code_of_Conduct/Draft#Principles is a good start.

The context was this:

In T90908#1957463, @Mattflaschen wrote:

As I said, in a technical community, technical leadership implies social leadership. That is why in technical communities, CoC's are often approved by groups like the ArchCom. People in those positions are more than just individuals.

Which your link does not address.

What if the Code of Conduct were regarded more as a means than as a goal by itself, and a tool better suited to accomplish the real goal were discovered?

@Ricordisamoa, I'm a little confused by what you're saying here. I think you're mixing the two, which is easy to see as in the context of this task we're using the word 'goal' in two ways.

A code of conduct is a means to an end (or goal), not an end in itself. It is a step along the way. The goal is to have a more diverse and inclusive community around our projects.

This particular task is around accomplishing the goals mentioned in the description.

If a better tool came along to supersede the need for a CoC, that would be great. Magical even. Seeing as the proposed CoC is an agreement between people, I would be very impressed if a technological solution, a tool, would solve what many would consider a social problem.

Keegan added a subscriber: Keegan.

Just a comment that we can track this as individuals.

Keegan removed a subscriber: Keegan.

What if "community support" leaned toward opposition?

There has to be community support (not the same as unanimity) to adopt it, which is why it's in the measurement of success. If you agree with this, I don't understand your concern.

What if the Code of Conduct were regarded more as a means than as a goal by itself, and a tool better suited to accomplish the real goal were discovered?

I'm not going to re-debate whether to work on a code of conduct. That debate was held early on, and is complete. The CoC is necessary, and has been under development for over 6 months. People had an opportunity to suggest a better tool, and did not, so we're going to continue to move forward.

If you're still curious why Code of Conducts are important, see e.g. the harassment survey for the Wikimedia context and http://adainitiative.org/2014/02/18/howto-design-a-code-of-conduct-for-your-community/ . There are many more resources you can find by searching online. Short version (from the second link), "Besides making your project more pleasant and efficient for people already involved, a code of conduct attracts new people.".

I must've missed it...

The reasons it makes sense for ArchCom to consider approving it:

  1. ArchCom is the technical leadership for our community, and that means they also have a social leadership role.
  2. In healthy technical communities like Rust (among others), the equivalents of ArchCom have used that leadership to approve Codes of Conduct.
  3. We don't have an established alternative in our technical community.

We don't have a better approach, so let's do what we know works.

While that may be the case elsewhere, I don't see the precedent in Wikimedia.

Sometimes, there is no precedent in your area. So you look at what is successful in other areas. There was no precedent in the Rust community the first time they did it either.

Ricordisamoa added a comment.EditedFeb 11 2016, 10:56 AM

@kaldari @CKoerner_WMF @Mattflaschen I tried to put aside my opposition to the Code of Conduct; I think you misunderstood me.
What makes me most doubtful is the top-down process being employed.

WARNING: disturbing content follows

Frankly, it seems that a plan has been agreed upon behind closed doors to get the CoC approved by any means, including consultation with (competent but biased) specialists, involvement of the ArchCom in social matters, etc., and that no one outside can change its outcome.
I assume good faith but you'll find that transparency and trust are directly proportional.

kaldari added a comment.EditedFeb 11 2016, 5:35 PM

@Ricordisamoa: I wish there was a conspiracy. The fact that we've dragged this process on for so long is disappointing. Of course we're never going to get complete consensus on a CoC, but I hope we can at least finalize the points we've agreed to at the draft.

This entire process has been grassroots from it's beginnings at Wikimania. I'm sure the people who weren't at Wikimania feel like they were left out of the process initially, but the entire process since then has been conducted on-wiki and on Phabricator (and 1 session at the Developer Summit). I'm not sure how it could be more transparent. Yes, WMF employees have taken the most interest in the CoC (for obvious reasons), but that doesn't amount to a conspiracy.

Kbrown added a subscriber: Kbrown.Feb 11 2016, 7:13 PM

A task has been filed regarding the Code of Conduct committee (T126605: Create Wikimedia equivalent of Rust's Moderation subteam). Please subscribe if you want to follow the discussion on that.

Frankly, it seems that a plan has been agreed upon behind closed doors to get the CoC approved by any means, including consultation with (competent but biased) specialists, involvement of the ArchCom in social matters, etc., and that no one outside can change its outcome.

I'm not going to apologize for getting help from people, including specialists (who you admit yourself are competent to provide that help!).

Knowing from experience why CoC's are necessary does not make them biased; it makes them knowledgeable.

The outcome and text have already changed as people participate on wiki, and will continue to. It seems it's the CoC itself you really object to, not the specialists or the process.

discussing this on Phabricator (or, more generally: in two venues) makes it hard for interested parties to follow what's going on.

That ship has sailed when someone created this task. It's ok to close this invalid and centralise the discussion on the talk page though.

That ship has sailed when someone created this task. It's ok to close this invalid and centralise the discussion on the talk page though.

As this work item is being tracked here and as that work item has assignees and projects/workboards associated, it's not okay to close this Phabricator task as invalid.
It is very welcome though to centralize the discussion on the talk page and "ignore" this Phabricator task. Thanks.

In T90908#2017316, @Mattflaschen wrote:

The CoC is necessary, and has been under development for over 6 months. People had an opportunity to suggest a better tool, and did not, so we're going to continue to move forward.

I think it was established that a CoC was a good thing, but not necessarily this proposed one.

In T90908#2017316, @Mattflaschen wrote:

I must've missed it...

The reasons it makes sense for ArchCom to consider approving it:

  1. ArchCom is the technical leadership for our community, and that means they also have a social leadership role.
  2. In healthy technical communities like Rust (among others), the equivalents of ArchCom have used that leadership to approve Codes of Conduct.
  3. We don't have an established alternative in our technical community.

    We don't have a better approach, so let's do what we know works.

1 - citation needed
2 - irrelevant, Wikimedia != Rust (or others)
3 - so it's not an option

In T90908#2017316, @Mattflaschen wrote:

While that may be the case elsewhere, I don't see the precedent in Wikimedia.

Sometimes, there is no precedent in your area. So you look at what is successful in other areas. There was no precedent in the Rust community the first time they did it either.

We don't have to pick the option that gave your wanted outcome in other communities. That is biasing the result.

andre, it would be better you focus on technical tasks instead of bureaucracy :) the only reason this task exists is that people started to swear about WMF when superprotect was switched on. both, superprotect and swearing is gone, so this task should be closed as invalid.

the only reason this task exists is that people started to swear about WMF when superprotect was switched on. both, superprotect and swearing is gone, so this task should be closed as invalid.

This is completely false. Superprotect had nothing to do with it.

I won't be repeating or debating this.

Keegan added a subscriber: Keegan.Feb 12 2016, 9:30 PM

andre, it would be better you focus on technical tasks instead of bureaucracy :) the only reason this task exists is that people started to swear about WMF when superprotect was switched on. both, superprotect and swearing is gone, so this task should be closed as invalid.

I've been sweared at long before superprotect, and for much more minor issues, in technical spaces both as staff and as a volunteer. Let's not pretend this is only about superprotect, or The Community v. The WMF. This is about people being decent to each other in technical spaces even when impassioned, and the simple fact that occasionally human decency has to be enforced due to the power of emotion over logic.

Ricordisamoa added a comment.EditedFeb 18 2016, 5:45 AM
In T90908#2021270, @Mattflaschen wrote:

I'm not going to apologize for getting help from people, including specialists (who you admit yourself are competent to provide that help!).

Knowing from experience why CoC's are necessary does not make them biased; it makes them knowledgeable.

Their stances on Codes of Conduct were well known long ago. [ 1, 2 ] Would you have consulted with them, had they previously expressed contrary opinions?

It seems it's the CoC itself you really object to, not the specialists or the process.

While I'm not a fan of Codes of Conduct generally, and this one specifically, I am reserving the task for discussion on the process.

This writing by @Nemo_bis best sums my doubts:

The whole code is being created by fiat by a group of WMF employees and gives ultimate authority to a WMF employees team, hence I maintain the thing is led by WMF employees and definitely looks like a WMF staff committee.

Yes I know I sound like a conspiracy theorist...

Qgil moved this task from Backlog to Team radar on the Community-Liaisons board.Feb 18 2016, 8:37 AM
In T90908#2021270, @Mattflaschen wrote:

I'm not going to apologize for getting help from people, including specialists (who you admit yourself are competent to provide that help!).

Knowing from experience why CoC's are necessary does not make them biased; it makes them knowledgeable.

Their stances on Codes of Conduct were well known long ago. [ 1, 2 ] Would you have consulted with them, had they previously expressed contrary opinions?

"Contrary opinions" such as what?

"Contrary opinions" such as what?

Such as "Codes of Conduct have not been undoubtedly crucial in reducing harassment; on the contrary, they can hinder collaboration by increasing bureaucracy" (totally not my opinion BTW)

Such as "Codes of Conduct have not been undoubtedly crucial in reducing harassment; on the contrary, they can hinder collaboration by increasing bureaucracy" (totally not my opinion BTW)

[citation needed] :-)

[citation needed] :-)

Definitions don't need citations/proof.

[citation needed] :-)

Definitions don't need citations/proof.

"Codes of Conduct have not been undoubtedly crucial in reducing harassment; on the contrary, they can hinder collaboration by increasing bureaucracy" is not a definition. Also note that the key word that appears in that sentence is can, not do, thus this is reduced to slippery slope rhetoric.

Again, this is about common human decency and behavior, and the fact that in the real world people can be real assholes in a collaborative environment to a much greater detriment than anything this CoC could hypothetically cause. There's a reason why over forty Wikimedia projects have some form of policy, guideline, or essay on civility

Tgr added a comment.Feb 18 2016, 7:42 PM

Their stances on Codes of Conduct were well known long ago. [ 1, 2 ] Would you have consulted with them, had they previously expressed contrary opinions?

The core of your complaint seems to be that you think the expert advice we have gotten is not representative of the mainstream expert opinion of that field (or maybe there is no widely agreed expert opinion in the field). If you really think so, the burden of proof is on you to show dissenting experts.

Yes I know I sound like a conspiracy theorist...

Actually, you sound like someone who is opposed to having a code of conduct, but rather than focusing on that, tries to find all kinds nitpicks in the CoC and process details. I don't think that's an effective strategy for anything except annoying other people. Would you support the CoC if it turned out that the WMF did consult a specialist whose opinion on codes of conduct they were not aware beforehand? If not, then find your true objection, stick to it and try to make the most convincing argument for it; IMO you'll have better chances of being taken seriously.

Ricordisamoa added a comment.EditedFeb 18 2016, 9:35 PM
In T90908#2041180, @Tgr wrote:

The core of your complaint seems to be that you think the expert advice we have gotten is not representative of the mainstream expert opinion of that field (or maybe there is no widely agreed expert opinion in the field).

With regard to such a hot topic the 'mainstream' opinion may well be the one supported by WMF advisors, but I expect any fair debate to include people from much broader backgrounds.

Actually, you sound like someone who is opposed to having a code of conduct, but rather than focusing on that, tries to find all kinds nitpicks in the CoC and process details.

Yes, as stated before I am opposed to having a code of conduct. But since I keep getting told that "The CoC is necessary" I try to describe my doubts with it and get it improved somehow. Nothing happens, I think perhaps the draft is really great, so I look around to see where this drive comes from... and I see WMF all over the place.

Would you support the CoC if it turned out that the WMF did consult a specialist whose opinion on codes of conduct they were not aware beforehand?

Probably not, but as that would contribute to making the debate feel more open instead of being pushed by WMF like too much stuff in the last years, I surely would regard the CoC as far more legitimate than I do now.

Pine removed a subscriber: Pine.Feb 21 2016, 10:16 PM

Thanks to everyone who’s helped work on this so far.

People have brought up issues they feel were missed when working on "Unacceptable behavior" ( https://www.mediawiki.org/wiki/Code_of_Conduct/Draft#Unacceptable_behavior ) and "Report a problem" ( https://www.mediawiki.org/wiki/Code_of_Conduct/Draft#Report_a_problem ). Consultants have also suggested changes in these same sections.

These are important sections, so please take a look at the proposed changes ( https://www.mediawiki.org/wiki/Talk:Code_of_Conduct/Draft#Suggested_changes). I apologize that this feedback arrived later than planned, but I think this will create a better document.

If you prefer to give your opinion privately, feedback via e-mail is welcome at conduct-discussion@wikimedia.org.

We are no longer expanding the friendly space policy to all Wikimedia online space. Instead the CoC work is accomplishing the same idea... so I have merged the two tasks.

i liked one summary on the talk page about this waste of a technical department getting distracted from their work and try to solve the world:

Hi Qgil-WMF. I don't think creating additional and unnecessary bureaucracy is a good idea. As far as I can tell, this "code of conduct" is an overblown solution in search of a problem. I share the concerns noted by others that most of the activity and support here is coming from people with "WMF" in their usernames and not from the broader technical community. --MZMcBride (talk) 23:53, 23 March 2016 (UTC)

We’ve gotten good participation as we’ve worked on sections of the Code of Conduct over the past few months, and have made considerable improvements to the draft based on your feedback.

Given that, and the community approval through the discussions on each section, the best approach is to proceed by approving section-by-section until the last section is done.

So, please continue to improve the Code of Conduct by participating now and as future sections are discussed. When the last section is completed and approved on the talk page, the Code of Conduct will become policy and no longer be marked as a draft.

In T90908#2179158, @Mattflaschen wrote:

When the last section is completed and approved on the talk page, the Code of Conduct will become policy and no longer be marked as a draft.

Wait, I thought the final version was going to be submitted for community consensus before becoming policy?!?
I myself supported some changes, but my opposition to the whole still stands, and the proposed approval process would not take such opinions into account, would it? Or was I supposed to comment "drop the section" everywhere?

In T90908#2179158, @Mattflaschen wrote:

Given that, and the community approval through the discussions on each section, the best approach is to proceed by approving section-by-section until the last section is done.

So, please continue to improve the Code of Conduct by participating now and as future sections are discussed. When the last section is completed and approved on the talk page, the Code of Conduct will become policy and no longer be marked as a draft.

Can you point to any existing discussions you believe to have approved a section as a policy?

So have I. My impression is that you're trying to claim some discussions formed community consensus on things that they really didn't.

Krenair added a comment.EditedApr 10 2016, 4:52 PM

Also, please list each section with a link to a discussion you believe approved it for policy (where you think that's already happened)

Is @Mattflaschen still in charge of this project? It seems like he stopped responding on the wiki talk page a few weeks ago, and the unanswered questions and comments have been piling up. Should people be talking to someone else?

In the past few weeks, over a dozen people, including me, have participated on the Code of Conduct talk page.

We're continuing to work on clarifying various issues, ranging from legal requirements to issues with IRC where the code of conduct might be able to help.

It doesn't seem many people want to spend their time re-debating a section where the text was finalized with community consensus. I'm not going to either.

So I guess that's a yes, then.

If anyone's wondering what Mattflaschen's curt tone is all about, one of the unanswered questions on the talk page is me asking how the concept of "marginalized and otherwise underrepresented groups" is defined. I asked a similar question while the wording was still being debated, and got no response. Now it's "officially" in the text, and it's still undefined. My guess is that no one knows the answer, which is why the guy who's working on clarifying issues doesn't want to clarify this one.

So I guess that's a yes, then.

If anyone's wondering what Mattflaschen's curt tone is all about, one of the unanswered questions on the talk page is me asking how the concept of "marginalized and otherwise underrepresented groups" is defined. I asked a similar question while the wording was still being debated, and got no response. Now it's "officially" in the text, and it's still undefined. My guess is that no one knows the answer, which is why the guy who's working on clarifying issues doesn't want to clarify this one.

It is an unanswered question because you've asked the same type of question with different edge cases in the discussion about that section, and those were answered within that discussion.

Your concern was heard, and a discussion ensued.
Despite your concern, there were not many who seemed to agree with you that there is a problem. The section was revised in response to other concerns, as befitted consensus, and was, subsequently, approved, with consensus.

Your current insistence seems to be that people should ignore the consensus and stick to giving you immediate satisfaction of answering your (repeated) question instead of adhering to the process and consensus and moving on. What makes this worse, is that you seem to make this insistence personal and attack @Mattflaschen for it. This is not what process by consensus means.

To clarify, the big discussion we had was unrelated to the definition - I thought it was a bad idea, regardless of the definition. But I'm also wondering what the definition is, and no, that question was not answered.

And surely this is relevant, as soon as an infraction comes up?

@Yaron_Koren: Are we supposed to give you a list of every marginalized and otherwise underrepresented group? That doesn't seem practical or necessary, and would only contribute to wiki-lawyering. The topic seems to be closed to everyone's satisfaction except yours. Let's move on.

Since you ask: I don't want a list, just criteria. (Better yet would be removal of the phrase, since I don't think it's necessary or helpful, but that's another story.)

Please participate in the discussion about how the Code of Conduct should be amended:

https://www.mediawiki.org/wiki/Talk:Code_of_Conduct/Draft#Changing_the_Code_once_enacted

There will be a session about the Code of Conduct at the upcoming Wikimania 2016 Hackathon: T137760: Code of Conduct session at Wikimania Hackathon 2016

Removing Team Practices Group for now; a number of TPGers are subscribed and following the conversation closely. If you need something specific from the TPG, we suggest you consider using a template along the lines of the example requests here:

https://www.mediawiki.org/wiki/Team_Practices_Group/How_To_Engage_With_TPG

removing myself, to express my wish that administrative bloat and organisation busy with itself should be avoided, while writing software and helping patches from others go into software should be encouraged ...

Fae added a subscriber: Fae.Aug 26 2016, 9:56 AM
brion added a comment.Mar 7 2017, 7:12 PM

I've removed the draft status.

I've removed the draft status.

What does that imply?

brion added a comment.Mar 7 2017, 10:20 PM

@Nemo_bis, that implies the committee will now start bootstrapping itself. As I understand, once the committee is in place the CoC will be in effect.

The Code of conduct for Wikimedia technical spaces is now policy, and applies to the spaces listed there.

Thanks to everyone for their support and participation.

The process of forming the Committee has begun. You can follow T159923: Bootstrap the Code of Conduct Committee for information about that.

Mattflaschen-WMF closed this task as "Resolved".Mar 18 2017, 2:36 AM

(This is not "resolved" since the code of conduct has never been approved.)

If you're interested in attending a session about the Code of Conduct at Wikimania, you can sign up at https://wikimania2017.wikimedia.org/w/index.php?title=Submissions/From_Mexico_City_to_Montr%C3%A9al:_The_Code_of_Conduct_and_You .